Page MenuHomeSoftware Heritage
Paste P578

vlorentz: failure to load
ActivePublic

Authored by ardumont on Dec 19 2019, 3:51 PM.
Dec 19 14:47:07 worker2 python3[30717]: [2019-12-19 14:47:07,898: ERROR/ForkPoolWorker-1] Fail to load https://softwareheritage.org/swh-ddev
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/swh/core/tarball.py", line 72, in uncompress
shutil.unpack_archive(tarpath, extract_dir=dest)
File "/usr/lib/python3.7/shutil.py", line 999, in unpack_archive
func(filename, extract_dir, **kwargs)
File "/usr/lib/python3.7/shutil.py", line 896, in _unpack_zipfile
raise ReadError("%s is not a zip file" % filename)
shutil.ReadError: /tmp/tmp8x0l824p/archive.zip is not a zip file
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/swh/loader/package/loader.py", line 299, in load
dl_artifacts, dest=tmpdir)
File "/usr/lib/python3/dist-packages/swh/loader/package/loader.py", line 212, in uncompress
uncompress(a_path, dest=uncompressed_path)
File "/usr/lib/python3/dist-packages/swh/core/tarball.py", line 74, in uncompress
raise ValueError(f'Problem during unpacking {tarpath}. Reason: {e}')
ValueError: Problem during unpacking /tmp/tmp8x0l824p/archive.zip. Reason: /tmp/tmp8x0l824p/archive.zip is not a zip file

Event Timeline

ardumont created this paste.Dec 19 2019, 3:51 PM

that's actually douardda's fix i think D2473